LASTLOG(8)

NOME
lastlog - reports the most recent login of all users or of a given user

SINOSSI

lastlog [opzioni]

DESCRIZIONE

lastlog mostra il log degli ultimi accessi, contenuto nel file /var/log/lastlog. Le informazioni mostrate sono il nome utente, la porta, e la data dell'ultimo accesso. Il comportamento predefinito (nessuna opzione specificata) è di mostrare i record di ultimo accesso per tutti gli utenti, nell'ordine in cui compaiono in /etc/passwd.

OPZIONI

Il comando lastlog accetta le seguenti opzioni:

-b, --before DAYS
    Print only lastlog records older than DAYS.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-t, --timeGIORNI
    Mostra solo i record di ultimo accesso più recenti di un numero di GIORNI.

-u, --user LOGIN|RANGE
    Print the lastlog record of the specified user(s).

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

If the user has never logged in the message ** Never logged in** will be displayed instead of the port and time.

NOTA

The lastlog file is a database which contains info on the last login of each user. You should not rotate it. It is a sparse file, so its size on the disk is usually much smaller than the one shown by "ls -l" (which can indicate a really big file if you have in passwd users with a high UID). You can display its real size with "ls -s".

FILE

/var/log/lastlog
    Database times of previous user logins.

AVVISI/CAVEAT

Large gaps in UID numbers will cause the lastlog program to run longer with no output to the screen (i.e. if in lastlog database there is no entries for users with UID between 170 and 800 lastlog will appear to hang as it processes entries with UIDs 171-799).